/*{{{}}}*/
/*{{{  #includes*/
#undef  _POSIX_SOURCE
#define _POSIX_SOURCE   1
#undef  _POSIX_C_SOURCE
#define _POSIX_C_SOURCE 2

#include <string.h>
#include <stdio.h>

#include "error.h"
#include "output.h"

#define MNE_M_C
#include "main.h"
/*}}}  */

/*{{{  mne-m*/
Bool mne_m(void)
{
  /*{{{  mul*/
  if (!strcmp (mnemonic, "ul"))
  {
    put_2_code(0x25,0xf3);
    return TRUE;
  }
  /*}}}  */
  /*{{{  mint*/
  if (!strcmp (mnemonic, "int"))
  {
    put_2_code(0x24,0xf2);
    return TRUE;
  }
  /*}}}  */
  /*{{{  move2dinit*/
  if (!strcmp (mnemonic, "ove2dinit"))
  {
    warn_chip(T400|T425|T426|T800|T801|T805); /* move2dinit */
    put_2_code(0x25,0xfb);
    return TRUE;
  }
  /*}}}  */
  /*{{{  move2dall*/
  if (!strcmp (mnemonic, "ove2dall"))
  {
    warn_chip(T400|T425|T426|T800|T801|T805); /* move2dall */
    put_2_code(0x25,0xfc);
    return TRUE;
  }
  /*}}}  */
  /*{{{  move2dnonzero*/
  if (!strcmp (mnemonic, "ove2dnonzero"))
  {
    warn_chip(T400|T425|T426|T800|T801|T805); /* move2dnonzero */
    put_2_code(0x25,0xfd);
    return TRUE;
  }
  /*}}}  */
  /*{{{  move2dzero*/
  if (!strcmp (mnemonic, "ove2dzero"))
  {
    warn_chip(T400|T425|T426|T800|T801|T805); /* move2dzero */
    put_2_code(0x25,0xfe);
    return TRUE;
  }
  /*}}}  */
  /*{{{  move*/
  if (!strcmp (mnemonic, "ove"))
  {
    put_2_code(0x24,0xfa);
    return TRUE;
  }
  /*}}}  */
  return FALSE;
}
/*}}}  */
